package com.steering.mes.mcp.entity;
/**
 * 数据库表COUPLING_OFFLINE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author MS-20181101OWOO   date 2018-11-15
 */
@SuppressWarnings("serial")
public class CouplingOfflineResultEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 产线名称
     */
    private String plineCode = "";
    /**
     * 炉次计划号
     */
    private String zyPlanId = "";
    /**
     * 工单号（炉次计划号+01流水）
     */
    private String woId = "";
    /**
     * 工序点代码（上料、切管、车丝。。。。）
     */
    private String stationCode = "";
    /**
     * 工序点名称
     */
    private String stationDesc = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 离线(支)个数
     */
    private String offlineNum = "";
    /**
     * 离线重量
     */
    private String offlineWt = "";
    /**
     * 是否委托（0否，1是，2全工序委托）
     */
    private String ifAllOutWork = "";
    /**
     * 粗加工类型（扒皮0、镗孔1)
     */
    private String harshType = "";
    /**
     * 涂层类型(磷化、镀铜)
     */
    private String coatingType = "";
    /**
     * 机床编号
     */
    private String machineNo = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 序号
     */
    private String offXh = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 返线工序点
     */
    private String returnProcess = "";
    /**
     * 返线时间
     */
    private String reTime = "";
    /**
     * 返线人
     */
    private String reName = "";
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 委外单号序号
     */
    private String subcontractNoSeq = "";
    /**
     * 委外支数
     */
    private String subcontractNum = "";
    /**
     * 委外重量
     */
    private String subcontractWt = "";
    /**
     * 委外时间
     */
    private String subcontractTime = "";
    /**
     * 委外人
     */
    private String subcontractName = "";
    /**
     * 委外回报合格支数
     */
    private String subcontractcompleteNum = "";
    /**
     * 委外回报合格重量
     */
    private String subcontractcompleteWt = "";
    /**
     * 委外回报废品支数
     */
    private String hbFpNum = "";
    /**
     * 委外回报废品重量
     */
    private String hbFpWt = "";
    /**
     * 委外回报时间
     */
    private String subcontractcompleteTime = "";
    /**
     * 委外回报人
     */
    private String subcontractcompleteName = "";
    /**
     * 离线备注
     */
    private String memo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 产线描述
     */
    private String plineName = "";

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线名称
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线名称
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 炉次计划号
     * @return value
     */
    public String getZyPlanId() {
        return zyPlanId;
    }

    /**
     * 炉次计划号
     * @param zyPlanId value
     */
    public void setZyPlanId(String zyPlanId) {
        this.zyPlanId = zyPlanId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 工序点代码（上料、切管、车丝。。。。）
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码（上料、切管、车丝。。。。）
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 离线(支)个数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 离线(支)个数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 离线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 离线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 是否委托（0否，1是，2全工序委托）
     * @return value
     */
    public String getIfAllOutWork() {
        return ifAllOutWork;
    }

    /**
     * 是否委托（0否，1是，2全工序委托）
     * @param ifAllOutWork value
     */
    public void setIfAllOutWork(String ifAllOutWork) {
        this.ifAllOutWork = ifAllOutWork;
    }

    /**
     * 粗加工类型（扒皮0、镗孔1)
     * @return value
     */
    public String getHarshType() {
        return harshType;
    }

    /**
     * 粗加工类型（扒皮0、镗孔1)
     * @param harshType value
     */
    public void setHarshType(String harshType) {
        this.harshType = harshType;
    }

    /**
     * 涂层类型(磷化、镀铜)
     * @return value
     */
    public String getCoatingType() {
        return coatingType;
    }

    /**
     * 涂层类型(磷化、镀铜)
     * @param coatingType value
     */
    public void setCoatingType(String coatingType) {
        this.coatingType = coatingType;
    }

    /**
     * 机床编号
     * @return value
     */
    public String getMachineNo() {
        return machineNo;
    }

    /**
     * 机床编号
     * @param machineNo value
     */
    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 序号
     * @return value
     */
    public String getOffXh() {
        return offXh;
    }

    /**
     * 序号
     * @param offXh value
     */
    public void setOffXh(String offXh) {
        this.offXh = offXh;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 返线工序点
     * @return value
     */
    public String getReturnProcess() {
        return returnProcess;
    }

    /**
     * 返线工序点
     * @param returnProcess value
     */
    public void setReturnProcess(String returnProcess) {
        this.returnProcess = returnProcess;
    }

    /**
     * 返线时间
     * @return value
     */
    public String getReTime() {
        return reTime;
    }

    /**
     * 返线时间
     * @param reTime value
     */
    public void setReTime(String reTime) {
        this.reTime = reTime;
    }

    /**
     * 返线人
     * @return value
     */
    public String getReName() {
        return reName;
    }

    /**
     * 返线人
     * @param reName value
     */
    public void setReName(String reName) {
        this.reName = reName;
    }

    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 委外单号序号
     * @return value
     */
    public String getSubcontractNoSeq() {
        return subcontractNoSeq;
    }

    /**
     * 委外单号序号
     * @param subcontractNoSeq value
     */
    public void setSubcontractNoSeq(String subcontractNoSeq) {
        this.subcontractNoSeq = subcontractNoSeq;
    }

    /**
     * 委外支数
     * @return value
     */
    public String getSubcontractNum() {
        return subcontractNum;
    }

    /**
     * 委外支数
     * @param subcontractNum value
     */
    public void setSubcontractNum(String subcontractNum) {
        this.subcontractNum = subcontractNum;
    }

    /**
     * 委外重量
     * @return value
     */
    public String getSubcontractWt() {
        return subcontractWt;
    }

    /**
     * 委外重量
     * @param subcontractWt value
     */
    public void setSubcontractWt(String subcontractWt) {
        this.subcontractWt = subcontractWt;
    }

    /**
     * 委外时间
     * @return value
     */
    public String getSubcontractTime() {
        return subcontractTime;
    }

    /**
     * 委外时间
     * @param subcontractTime value
     */
    public void setSubcontractTime(String subcontractTime) {
        this.subcontractTime = subcontractTime;
    }

    /**
     * 委外人
     * @return value
     */
    public String getSubcontractName() {
        return subcontractName;
    }

    /**
     * 委外人
     * @param subcontractName value
     */
    public void setSubcontractName(String subcontractName) {
        this.subcontractName = subcontractName;
    }

    /**
     * 委外回报合格支数
     * @return value
     */
    public String getSubcontractcompleteNum() {
        return subcontractcompleteNum;
    }

    /**
     * 委外回报合格支数
     * @param subcontractcompleteNum value
     */
    public void setSubcontractcompleteNum(String subcontractcompleteNum) {
        this.subcontractcompleteNum = subcontractcompleteNum;
    }

    /**
     * 委外回报合格重量
     * @return value
     */
    public String getSubcontractcompleteWt() {
        return subcontractcompleteWt;
    }

    /**
     * 委外回报合格重量
     * @param subcontractcompleteWt value
     */
    public void setSubcontractcompleteWt(String subcontractcompleteWt) {
        this.subcontractcompleteWt = subcontractcompleteWt;
    }

    /**
     * 委外回报废品支数
     * @return value
     */
    public String getHbFpNum() {
        return hbFpNum;
    }

    /**
     * 委外回报废品支数
     * @param hbFpNum value
     */
    public void setHbFpNum(String hbFpNum) {
        this.hbFpNum = hbFpNum;
    }

    /**
     * 委外回报废品重量
     * @return value
     */
    public String getHbFpWt() {
        return hbFpWt;
    }

    /**
     * 委外回报废品重量
     * @param hbFpWt value
     */
    public void setHbFpWt(String hbFpWt) {
        this.hbFpWt = hbFpWt;
    }

    /**
     * 委外回报时间
     * @return value
     */
    public String getSubcontractcompleteTime() {
        return subcontractcompleteTime;
    }

    /**
     * 委外回报时间
     * @param subcontractcompleteTime value
     */
    public void setSubcontractcompleteTime(String subcontractcompleteTime) {
        this.subcontractcompleteTime = subcontractcompleteTime;
    }

    /**
     * 委外回报人
     * @return value
     */
    public String getSubcontractcompleteName() {
        return subcontractcompleteName;
    }

    /**
     * 委外回报人
     * @param subcontractcompleteName value
     */
    public void setSubcontractcompleteName(String subcontractcompleteName) {
        this.subcontractcompleteName = subcontractcompleteName;
    }

    /**
     * 离线备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 离线备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }
    private String offlineNumBj="";
    /**
     *委外编辑个
     */
	public String getOfflineNumBj() {
		return offlineNumBj;
	}
	 /**
     *委外编辑个
     */
	public void setOfflineNumBj(String offlineNumBj) {
		this.offlineNumBj = offlineNumBj;
	}
}
